#
# spec file for package mono-nuget
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mono-nuget
Version:        2.8.7
Release:        lp150.1.4
Summary:        DotNet package manager
License:        Apache-2.0
Group:          Development/Languages/Mono
Url:            https://github.com/directhex/xamarin-nuget/
Source0:		https://github.com/directhex/xamarin-nuget/archive/upstream/%{version}+md510+dhx1.tar.gz
Source1:        mono-nuget.pc
Source3:        build-minimal.sh
Patch0:         fix_xdt_hintpath.patch
BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:  mono-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the Xamarin version of NuGet for use with MonoDevelop.

%package devel
Summary:        Development files for NuGet
Group:          Development/Languages/Mono
Requires:       mono-nuget = %{version}

%description devel
This package contains development files for NuGet integration into MonoDevelop.

%prep
%setup -q -n xamarin-nuget-upstream-%{version}-md510-dhx1
%patch0 -p1
cp -a %{SOURCE3} ./
chmod +x build-minimal.sh

%build
%{?exp_env}
%{?env_options}
./build-minimal.sh

%install
%{?env_options}

mkdir -p %{buildroot}%{_datadir}/pkgconfig
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pkgconfig/

mkdir -p %{buildroot}%{_prefix}/lib/mono/nuget
install -m0755 src/CommandLine/bin/Release/NuGet.Core.dll %{buildroot}%{_prefix}/lib/mono/nuget/
install -m0755 xdt/XmlTransform/bin/Debug/Microsoft.Web.XmlTransform.dll %{buildroot}%{_prefix}/lib/mono/nuget/
install -m0755 src/CommandLine/bin/Release/NuGet.exe %{buildroot}%{_prefix}/lib/mono/nuget/

%files
%defattr(-, root, root)
%{_prefix}/lib/mono/nuget

%files devel
%defattr(-, root, root)
%{_datadir}/pkgconfig/mono-nuget.pc

%changelog
* Mon Oct 26 2015 martin.liska@suse.com
-  update to version 2.8.7
* Sat Aug 22 2015 mailaender@opensuse.org
- update to version 2.8.5 for MonoDevelop 5.9
* Sat May  2 2015 mailaender@opensuse.org
- update to version 2.8.3 for MonoDevelop 5.8 and above
- add fix_xdt_hintpath.patch to fix the build
- add build-minimal.sh as it was removed from the tarball
- add pkgconfig as this contains a .pc file
* Mon Dec 22 2014 mailaender@opensuse.org
- initial packaging
